<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\SongLanguage;

class SongLanguageSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $languages = ['國語', '台語', '英語', '日語','粵語', '韓語', '越語', '客語', '其他'];

        foreach ($languages as $lang) {
            SongLanguage::create(['name' => $lang]);
        }
    }
}
